<?php

namespace Drupal\association\Plugin\Association\LandingPage;

use Drupal\association\Entity\AssociationInterface;
use Drupal\association\Plugin\LandingPagePluginBase;
use Drupal\association\Plugin\LandingPagePluginInterface;
use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Url;

/**
 * Plugin for associations which have no landing pages.
 *
 * @AssociationLandingPage(
 *   id = "none",
 *   label = @Translation("No landing page"),
 *   description = @Translation("Associations which have no landing page."),
 * )
 */
class None extends LandingPagePluginBase implements LandingPagePluginInterface {

  /**
   * {@inheritdoc}
   */
  public function defaultConfiguration(): array {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getConfiguration(): array {
    return [];
  }

  /**
   * {@inheritdoc}
   */
  public function getPage(AssociationInterface $association): ?EntityInterface {
    return NULL;
  }

  /**
   * {@inheritdoc}
   */
  public function getPageUrl(AssociationInterface $association, ?EntityInterface $page): Url {
    return Url::fromRoute('<nolink>');
  }

}
